Skip to content

OpenAI-Compatible API

XNova API provides OpenAI-compatible endpoints. Most clients can directly configure Base URL and API Key.

Base URL

txt
https://api.xnova.online/v1

Headers

txt
Authorization: Bearer sk-your-key
Content-Type: application/json

Chat Completions

bash
curl https://api.xnova.online/v1/chat/completions \
  -H "Authorization: Bearer sk-your-key" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-5.5",
    "messages": [
      { "role": "user", "content": "Write a short project description" }
    ]
  }'

Responses

bash
curl https://api.xnova.online/v1/responses \
  -H "Authorization: Bearer sk-your-key" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-5.5",
    "input": "Explain XNova API in three sentences"
  }'

Released under private documentation policy.